Subject: Re: [nmrg] Last Call: draft-irtf-nmrg-location-ipfix-05

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 1 Mar 2016 19:02:42 +0000

Hi, 

I have a comment related to the IANA Considerations section. First, it refers [4119] which is not listed in the references. Second it is not clear what is required from IANA. Is this actually adding a new column to the registry defined in RFC 4119, section 6.1? This should be clearly explained, and this is an update to RFC 4119. There is one more problem however. The registry is extensible according to a first come - first served policy, allowing for new methods for determining location to be added. How will the new numeric values be picked. Probably the next available integer - but this also needs to be explained. 

I hope this helps. 

Regards,

Dan

> -----Original Message-----
> From: nmrg [mailto:[email-masked]] On Behalf Of Lisandro
> Zambenedetti Granville
> Sent: Monday, February 15, 2016 7:43 PM
> To: Network Management Research Group
> Subject: [nmrg] Last Call: draft-irtf-nmrg-location-ipfix-05
> 
> Dear NMRG
> 
> This message is to start a two week last call (LC) on the following NMRG
> document, on incorporating location information in IP flow-based
> monitoring:
> 
> . draft-irtf-nmrg-location-ipfix-05
>  https://datatracker.ietf.org/doc/draft-irtf-nmrg-location-ipfix/
> 
> Please review the documents and provide your feedback in this two week
> window. This last calls ends in Mar. 1st.
> 
> Lisandro and Laurent

---

From: Abdelkader Lahmadi <[email-masked]>
Date: Wed, 2 Mar 2016 17:33:59 +0100 (CET)

Hi Dan,
Thank you for the feedback. We will update the "IANA Considerations" section of the draft to clarify the mentioned issues.
Comments inline:

> I have a comment related to the IANA Considerations section. First, it refers
> [4119] which is not listed in the references. 

Ok, it will be fixed, thanks.

> required from IANA. Is this actually adding a new column to the registry
> defined in RFC 4119, section 6.1? 

We will clarify and explain this point. Yes, one option is adding a new column with numeric values for the methods available in the registry "Method tokens" 
specified in RFC 4119: https://www.iana.org/assignments/method-tokens/method-tokens.xhtml#method-tokens-1

> This should be clearly explained, and this
> is an update to RFC 4119. There is one more problem however. The registry is
> extensible according to a first come - first served policy, allowing for new
> methods for determining location to be added. How will the new numeric
> values be picked. Probably the next available integer - but this also needs
> to be explained.
> 

Yes, we will clarify this in the draft, as you suggested, numeric values of these methods are attributed according to the next available integer.

Best regards,

> _______________________________________________
> nmrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nmrg
>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 3 Mar 2016 11:41:42 +0000

Sounds good. Thanks for the quick answer and for addressing my concerns. 

Regards,

Dan

> From: Abdelkader Lahmadi [mailto:[email-masked]]
> Sent: Wednesday, March 02, 2016 6:34 PM
> To: Romascanu, Dan (Dan)
> Cc: Lisandro Zambenedetti Granville; Network Management Research
> Group; [email-masked]; Rick Hofstede; Aiko Pras;
> Olivier Festor
> Subject: Re: [nmrg] Last Call: draft-irtf-nmrg-location-ipfix-05
> 
> Hi Dan,
> Thank you for the feedback. We will update the "IANA Considerations"
> section of the draft to clarify the mentioned issues.
> Comments inline:
>